Unity 导入VRTK发生报错

问题

报错:

  1. Assets\VRTK\Source\SDK\Base\SDK_BaseHeadset.cs(150,57): error CS0117: 'XRDevice' does not contain a definition for 'model'
  2. Assets\VRTK\Source\Scripts\Utilities\VRTK_DeviceFinder.cs(430,69): error CS0117: 'XRDevice' does not contain a definition for 'model'
  3. Assets\VRTK\Source\Scripts\Utilities\SDK\VRTK_SDKManager.cs(918,22): error CS0619: 'XRDevice.isPresent' is obsolete: 'This is obsolete, and should no longer be used. Instead, find the active XRDisplaySubsystem and check that the running property is true (for details, see XRDevice.isPresent documentation).'

解决方案

Unity版本过高,导致VRTK3.3使用的API已经被弃用了,需要降版本,如2019.4

 

作者:Miracle
来源:麦瑞克博客
链接:https://www.unitymake.com/archives/unity/1912
本博客所有文章除特别声明外,均采用CC BY-NC-SA 4.0许可协议,转载请注明!
THE END
分享
打赏
海报
Unity 导入VRTK发生报错
问题 报错: Assets\VRTK\Source\SDK\Base\SDK_BaseHeadset.cs(150,57): error CS0117: 'XRDevice' does not contain a definition for 'model' Assets\VRTK\……
<<上一篇
下一篇>>
文章目录
关闭
目 录